<?php

get_header();

?>

		<div id="post-wrapper">
<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<h2 class="post-title">
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
				</h2>
				<div class="post-meta">
					<?php $ele_posttitle = get_the_title();
						if ( $ele_posttitle == '' ) {
						//If no post title, create a link to the post with the date
					?>
					<span class="post-date"><a href="<?php the_permalink(); ?>"><?php the_time( get_option( 'date_format' ) ); ?> at <?php the_time( 'g:i a' ); ?></a></span>
					<?php } else { ?>
					<span class="post-date"><?php the_time( get_option( 'date_format' ) ); ?> at <?php the_time( 'g:i a' ); ?></span>
					<?php } ?>
					<span class="post-comments">
						<?php if ( !comments_open() ) {
							echo '<span class="comments-disabled">Comments disabled</span>';
						} else { ?>
							<a href="<?php the_permalink() ?>#comments"><?php comments_number( 'Add a comment!', '1 comment', '% comments' ); ?></a><?php } ?>
					</span>
				</div>
		<?php if ( has_post_thumbnail() ) {
			echo '<div class="post-thumbnail">';
			the_post_thumbnail();
			echo '</div>'; }
		?>
		<?php the_content(); ?>
		<?php wp_link_pages( array( 'before' => '<div class="post-page-link">Pages: ', 'after' => '</div>' ) ); ?>
		</div>
<?php endwhile; ?>

<div id="content-nav">
	<?php posts_nav_link( '', 'Newer posts', 'Older posts' ); ?>
</div>

<?php else : ?>

<div id="no-results">
		<h1 class="page-title"><?php _e( 'No results returned', 'luxury'); ?></h1>

	<p class="page-content">
		<p>It appears as though no content has been found based upon what you are trying to access. You can try searching below or visiting another page.</p>
	</p>
	<?php get_search_form(); ?>

</div>

<?php endif; ?>

</div><!-- End #post-wrapper -->

</div><!-- End #content -->

<?php get_sidebar();
get_footer(); ?>